/* This is an autogenerated file from sme__build_signal_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __MGT_BUILD_FUNCTIONS_H__
#define __MGT_BUILD_FUNCTIONS_H__

#include "fsm/fsm.h" 
#include "hostio/hip_fsm_types.h"
#include "smeio/smeio_fsm_types.h"
#include "smeio/smeio_fsm_events.h"

extern uint16 build_packed_unifi_mgt_wifi_on_req(uint8** resultBuffer, const unifi_MACAddress* address, const unifi_DataBlockList* mibFiles);
extern uint16 build_packed_unifi_mgt_wifi_off_req(uint8** resultBuffer);
extern uint16 build_packed_unifi_mgt_wifi_flightmode_req(uint8** resultBuffer, const unifi_MACAddress* address, const unifi_DataBlockList* mibFiles);
extern uint16 build_packed_unifi_mgt_set_value_req(uint8** resultBuffer, const unifi_AppValue* appValue);
extern uint16 build_packed_unifi_mgt_get_value_req(uint8** resultBuffer, unifi_AppValueId appValueId);
extern uint16 build_packed_unifi_mgt_mib_set_req(uint8** resultBuffer, const unifi_DataBlock* mibAttribute);
extern uint16 build_packed_unifi_mgt_mib_get_req(uint8** resultBuffer, const unifi_DataBlock* mibAttribute);
extern uint16 build_packed_unifi_mgt_mib_get_next_req(uint8** resultBuffer, const unifi_DataBlock* mibAttribute);
extern uint16 build_packed_unifi_mgt_scan_full_req(uint8** resultBuffer, const unifi_SSID* ssid, Boolean forceScan, unifi_ScanType scanType, const unifi_DataBlock* channelList);
extern uint16 build_packed_unifi_mgt_scan_results_get_req(uint8** resultBuffer);
extern uint16 build_packed_unifi_mgt_connect_req(uint8** resultBuffer, const unifi_ConnectionConfig* connectionConfig);
extern uint16 build_packed_unifi_mgt_disconnect_req(uint8** resultBuffer);
extern uint16 build_packed_unifi_mgt_multicast_address_req(uint8** resultBuffer, unifi_ListAction action, const unifi_MulticastAddressList* setAddresses);
extern uint16 build_packed_unifi_mgt_pmkid_req(uint8** resultBuffer, unifi_ListAction action, const unifi_PmkidList* setPmkidList);
extern uint16 build_packed_unifi_mgt_key_req(uint8** resultBuffer, unifi_ListAction action, const unifi_Key* key);
extern uint16 build_packed_unifi_mgt_packet_filter_set_req(uint8** resultBuffer, const unifi_DataBlock* filter, unifi_PacketFilterMode mode, unifi_IPV4Address arpFilterAddress);
extern uint16 build_packed_unifi_mgt_tspec_req(uint8** resultBuffer, unifi_ListAction action, uint32 transactionId, Boolean strict, const unifi_DataBlock* tspec, const unifi_DataBlock* tclas);


#endif /* __MGT_BUILD_FUNCTIONS_H__ */

#ifdef __cplusplus
}
#endif
